import { jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import useKeyboard from '../index';
const Box = ({ id, autoFocus = false }) => {
    const [count, setCount] = useState(0);
    const { hasFocus } = useKeyboard({
        id: `box-${id}`,
        autoFocus,
        handlers: {
            Space: () => setCount(10),
            ArrowUp: () => setCount(count + 1),
            ArrowDown: () => setCount(count - 1),
            'shift+ArrowRight': () => setCount(count + 1),
            'shift+ArrowLeft': () => setCount(count - 1),
            'ctrl+ArrowLeft': () => setCount(count - 1),
            'ctrl+c': () => void 0,
        },
    });
    return (_jsxs("div", Object.assign({ className: hasFocus ? 'box focused' : 'box', "data-testid": id }, { children: [_jsxs("h2", { children: ["Box ", id] }), _jsxs("p", { children: ["Value: ", count] })] })));
};
export default Box;
